Index: src/core/nginx.c
===================================================================
--- src/core/nginx.c	(revision 2494)
+++ src/core/nginx.c	(working copy)
@@ -280,6 +280,9 @@
     init_cycle.log = log;
     ngx_cycle = &init_cycle;
 
+    /* dummy pagesize to create aligned pool */
+    ngx_pagesize = 1024;
+
     init_cycle.pool = ngx_create_pool(1024, log);
     if (init_cycle.pool == NULL) {
         return 1;
Index: src/core/ngx_palloc.c
===================================================================
--- src/core/ngx_palloc.c	(revision 2494)
+++ src/core/ngx_palloc.c	(working copy)
@@ -17,7 +17,7 @@
 {
     ngx_pool_t  *p;
 
-    p = ngx_alloc(size, log);
+    p = ngx_memalign(ngx_pagesize, size, log);
     if (p == NULL) {
         return NULL;
     }
